Compute Engine v1 API - Class ReservationSlotsListResponse (3.25.0)

public sealed class ReservationSlotsListResponse : IMessage<ReservationSlotsListResponse>, IEquatable<ReservationSlotsListResponse>, IDeepCloneable<ReservationSlotsListResponse>, IBufferMessage, IMessage, IPageResponse<ReservationSlot>, IEnumerable<ReservationSlot>, IEnumerable

Reference documentation and code samples for the Compute Engine v1 API class ReservationSlotsListResponse.

A list of reservation slots within a single reservation.

Inheritance

object > ReservationSlotsListResponse

Namespace

Google.Cloud.Compute.V1

Assembly

Google.Cloud.Compute.V1.dll

Constructors

ReservationSlotsListResponse()

public ReservationSlotsListResponse()

ReservationSlotsListResponse(ReservationSlotsListResponse)

public ReservationSlotsListResponse(ReservationSlotsListResponse other)
Parameter
Name Description
other ReservationSlotsListResponse

Properties

HasId

public bool HasId { get; }

Gets whether the "id" field is set

Property Value
Type Description
bool

HasKind

public bool HasKind { get; }

Gets whether the "kind" field is set

Property Value
Type Description
bool

HasNextPageToken

public bool HasNextPageToken { get; }

Gets whether the "next_page_token" field is set

Property Value
Type Description
bool
public bool HasSelfLink { get; }

Gets whether the "self_link" field is set

Property Value
Type Description
bool

Id

public string Id { get; set; }

The unique identifier for the resource; defined by the server.

Property Value
Type Description
string

Items

public RepeatedField<ReservationSlot> Items { get; }

A list of reservation slot resources.

Property Value
Type Description
RepeatedFieldReservationSlot

Kind

public string Kind { get; set; }

The type of resource. Alwayscompute#reservationSlot for a list of reservation slots.

Property Value
Type Description
string

NextPageToken

public string NextPageToken { get; set; }

This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

Property Value
Type Description
string
public string SelfLink { get; set; }

The server-defined URL for this resource.

Property Value
Type Description
string

Warning

public Warning Warning { get; set; }

An informational warning message.

Property Value
Type Description
Warning

Methods

GetEnumerator()

public IEnumerator<ReservationSlot> GetEnumerator()

Returns an enumerator that iterates through the resources in this response.

Returns
Type Description
IEnumeratorReservationSlot